using Fantasy.Entitas.Interface;

namespace NB.Map;

public class MapDestroySystem : DestroySystem<Map>
{
    protected override void Destroy(Map self)
    {
        self.MapId = 0;
        self.Units.Clear();
    }
}

public static class MapSystem
{
}